Cannot tell if a client page is connected to wikidata or not
Closed, ResolvedPublic


If a page in the client (e.g. enwiki) is connected to Wikidata and has *only* one site link (to enwiki), then it is not obvious at all to know that when on the client.

It has the "add links" link which is there if the page has no connection at all or the item is connected but has no other site links. (e.g. no "language links") When I see "add links", I might think to create a new item and not realise it's already connected.

It also links to the #sitelinks section of the item page which is great for editing site links, but not if you are interested in the statements.

To resolve this, we can put a link in the toolbox to the connected data item. We can also put something (e.g. wgWikibaseItemId) in the js config variables in the page so that gadgets and user scripts can do what they like with it.

Related bugs:

bug 46229 and bug 48354

Version: master
Severity: normal

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz49105.
aude created this task.Via LegacyJun 4 2013, 8:40 AM
gerritbot added a comment.Via ConduitJun 4 2013, 8:41 AM

Related URL: (Gerrit Change I57e11712f0551931e439085299a4f18f03c5e32b)

gerritbot added a comment.Via ConduitJun 24 2013, 2:46 PM (Gerrit Change I57e11712f0551931e439085299a4f18f03c5e32b) | change APPROVED and MERGED [by jenkins-bot]

Abraham added a comment.Via ConduitJun 26 2013, 1:12 PM

Verified in Wikidata demo sprint 22-9

Add Comment